﻿/*初始化*/
html, body { height: 100%; }
html, body, div, h1, h2, h3, h4, h5, h6, ul, li, p, form, table, th, td, button, input, select, textarea { margin: 0; padding: 0; font-size: 14px; font-family: Tahoma,Arial,sans-serif; line-height: 1.5; -webkit-text-size-adjust: none; color: #323232; }
a { border: none; text-decoration: none !important; cursor: pointer; color: #323232; outline: none; }
a:focus { outline: none; }
img { border: none; max-width: 100%; height: auto; width: auto; vertical-align: top; }
ul, li { list-style: none; }
input, textarea, button, select, label, a { outline: none; outline: 0; -webkit-tap-highlight-color: rgba(0,0,0,0); -webkit-appearance: none; }
input::-moz-focus-inner, button::-moz-focus-inner { border-color: transparent !important; }
table { width: 100%; border-width: 0; }
table, tr, td { border-collapse: collapse; word-break: break-all; }
select { direction: rtl; }
select option { direction: ltr; }

/*基础公用*/
.wzui-amount { font-size: 18px; color: #d93229; }
.wzui-fl { float: left; }
.wzui-fr { float: right; }
.wzui-hide { display: none !important; }
.wzui-hidden { overflow: hidden; }
.wzui-nowrap { overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }
.wzui-left { text-align: left; }
.wzui-right { text-align: right; }
.wzui-center { text-align: center; }
.wzui-clearfix:after { content: '.'; display: block; height: 0; clear: both; visibility: hidden; }
.wzui-clearfix { display: inline-block; }
.wzui-clearfix { display: block; }
.wzui-container { min-height: 100%; min-width: 320px; max-width: 640px; margin: 0 auto; background-color: white; }
.wzui-validate-tip { color: #a94442; text-align: center; }
.wzui-bg-green { background-color: green; color: white; border-radius: 3px; padding: 1px 2px; }

/*基础控件*/
.wzui-text, .wzui-textarea, .wzui-select { border-style: solid; border-color: #e3e3e3; border-width: 1px; padding: 0 5px; box-sizing: border-box; }
.wzui-text { height: 30px; line-height: 30px; width: 100%; border-radius: 0; }
.wzui-textarea { width: 100%; height: 60px; border-radius: 0; }
.wzui-select { height: 30px; width: 100%; border-radius: 0; -webkit-appearance: none; background-color: transparent; }
.wzui-button { height: 36px; line-height: 36px; width: 100%; display: inline-block; border: none; text-align: center; cursor: pointer; background-color: #dddddd; color: #333333; border-radius: 4px; text-decoration: none !important; }
.wzui-button-primary { background-color: #c60a1e; color: #ffffff; }
.wzui-button-disable { background-color: #e8e8e8; color: #aaaaaa; cursor: not-allowed; }

/*wzui-checkbox*/
.wzui-checkbox { width: 20px; height: 20px; position: relative; display: inline-block; }
.wzui-checkbox label { cursor: pointer; position: absolute; width: 18px; height: 18px; top: 0; left: 0; background-color: #ffffff; border: 1px solid #dddddd; }
.wzui-checkbox label:after { opacity: 0; content: ''; position: absolute; width: 3px; height: 6px; top: 4px; left: 6px; border: 2px solid #ffffff; border-top: none; border-left: none; -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); -o-transform: rotate(45deg); -ms-transform: rotate(45deg); transform: rotate(45deg); }
.wzui-checkbox input[type=checkbox] { visibility: hidden; }
.wzui-checkbox input[type=checkbox]:checked + label { background-color: #26ca28; border-color: #26ca28; }
.wzui-checkbox input[type=checkbox]:checked + label:after { opacity: 1; }

/*wzui-checkbox-radio*/
.wzui-checkbox-radio { width: 20px; height: 20px; position: relative; display: inline-block; }
.wzui-checkbox-radio label { cursor: pointer; position: absolute; width: 18px; height: 18px; top: 0; left: 0; background-color: #ffffff; border: 1px solid #dddddd; border-radius: 9px; }
.wzui-checkbox-radio label:after { opacity: 0; content: ''; position: absolute; width: 3px; height: 6px; top: 4px; left: 6px; border: 2px solid #ffffff; border-top: none; border-left: none; -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); -o-transform: rotate(45deg); -ms-transform: rotate(45deg); transform: rotate(45deg); }
.wzui-checkbox-radio input[type=radio] { visibility: hidden; }
.wzui-checkbox-radio input[type=radio]:checked + label { background-color: #c60a1e; border-color: #c60a1e; }
.wzui-checkbox-radio input[type=radio]:checked + label:after { opacity: 1; }

/*wzui-checkbox-switch*/
.wzui-checkbox-switch { width: 52px; height: 28px; margin: 0; border-radius: 50px; position: relative; border: 1px solid #e6e6e6; background: #fdfdfd; display: inline-block; }
.wzui-checkbox-switch:before { content: ' '; position: absolute; top: 6px; left: 6px; height: 2px; color: #26ca28; font-size: 12px; }
.wzui-checkbox-switch:after { content: ' '; position: absolute; top: 6px; left: 30px; height: 2px; color: #ddd; font-size: 12px; }
.wzui-checkbox-switch label { display: block; width: 22px; height: 22px; border-radius: 50px; -webkit-transition: all .5s ease; -moz-transition: all .5s ease; -o-transition: all .5s ease; -ms-transition: all .5s ease; transition: all .5s ease; cursor: pointer; position: absolute; top: 3px; z-index: 1; left: 3px; background: #ddd; }
.wzui-checkbox-switch input[type=checkbox] { visibility: hidden; }
.wzui-checkbox-switch input[type=checkbox]:checked + label { left: 27px; background: #26ca28; }

/*wzui-checkbox-circle*/
.wzui-checkbox-circle { width: 40px; height: 40px; background: #ddd; margin: 20px 90px; border-radius: 100%; position: relative; display: inline-block; -webkit-box-shadow: 0px 1px 3px rgba(0,0,0,0.5); -moz-box-shadow: 0px 1px 3px rgba(0,0,0,0.5); box-shadow: 0px 1px 3px rgba(0,0,0,0.5); }
.wzui-checkbox-circle label { display: block; width: 30px; height: 30px; border-radius: 100px; -webkit-transition: all .5s ease; -moz-transition: all .5s ease; -o-transition: all .5s ease; -ms-transition: all .5s ease; transition: all .5s ease; cursor: pointer; position: absolute; top: 5px; left: 5px; z-index: 1; background: #333; -webkit-box-shadow: inset 0px 1px 3px rgba(0,0,0,0.5); -moz-box-shadow: inset 0px 1px 3px rgba(0,0,0,0.5); box-shadow: inset 0px 1px 3px rgba(0,0,0,0.5); }
.wzui-checkbox-circle input[type=checkbox] { visibility: hidden; }
.wzui-checkbox-circle input[type=checkbox]:checked + label { background: #26ca28; }

/*行*/
.wzui-row-group { margin-top: 10px; background-color: white; border-width: 0; }
.wzui-row-group-first { background-color: white; border-width: 0; }
.wzui-row-title { display: block; height: auto; padding: 5px 10px; border-width: 0; }
.wzui-row-headline { display: block; height: auto; padding: 5px 10px; border-bottom: 1px solid #e6e6e6; background-color: #f6f6f6; font-size: 12px; }
.wzui-row { position: relative; border-width: 0; border-bottom-width: 1px; border-style: solid; border-color: #e6e6e6; overflow: hidden; }
.wzui-row:after { content: '.'; display: block; height: 0; clear: both; visibility: hidden; }
.wzui-row { display: inline-block; }
.wzui-row { display: block; }
.wzui-row-l { width: 35%; float: left; }
.wzui-row-r { width: 65%; float: right; text-align: right; }
.wzui-row-lbl { display: block; line-height: 20px; padding: 10px; word-break: break-all; }
.wzui-row-ctrl { padding: 5px 10px; }
.wzui-row-go { width: 8px; height: 8px; position: absolute; right: 10px; top: 50%; margin-top: -5px; border: 0 solid #5d5d5d; border-top-width: 1px; border-right-width: 1px; transform: rotate(45deg); -o-transform: rotate(45deg); -moz-transform: rotate(45deg); -webkit-transform: rotate(45deg); }
.wzui-row-go-pad { padding-right: 20px; }
.wzui-row-mark { height: 18px; width: 18px; position: absolute; right: 12px; top: 50%; margin-top: -9px; background-color: #c60a1e; border-radius: 9px; }
.wzui-row-mark::after { border-bottom: 2px solid #fff; border-right: 2px solid #fff; content: ""; height: 6px; left: 6px; position: absolute; top: 4px; width: 3px; transform: rotate(45deg); -o-transform: rotate(45deg); -moz-transform: rotate(45deg); -webkit-transform: rotate(45deg); }
.wzui-row-first { }
.wzui-row-last { border-bottom-width: 0; }
.wzui-row-lbl td { vertical-align: top; }

/*面板区域*/
.wzui-panel { margin-top: 10px; background-color: #ffffff; }
.wzui-panel-hd { position: relative; }
.wzui-panel-hd-caption::before { background-color: #feaa00; content: ""; height: 14px; width: 5px; position: absolute; left: 10px; top: 11px; vertical-align: text-bottom; }
.wzui-panel-hd-caption { font-size: 15px; line-height: 18px; padding: 10px; text-indent: 12px; }
.wzui-panel-hd-title { }
.wzui-panel-bd { }
.wzui-panel-ft { }

/*数量加减*/
.spinner { border: 1px solid #ccc; width: auto; height: 26px; }
.spinner .value { float: left; border: medium none; height: 26px; width: 50px; text-align: center; font-size: 14px; }
.spinner .increase, .spinner .decrease { float: left; border: medium none; height: 26px; line-height: 24px; width: 25px; background-color: transparent; color: #c60a1e; }
.spinner .increase { border-left: 1px solid #ccc; }
.spinner .decrease { border-right: 1px solid #ccc; }

/*购买选择*/
.wzui-specbar { }
.wzui-specbar li { display: inline-block; position: relative; outline: none; margin-left: 5px; }
.wzui-specbar li a { line-height: 26px; padding: 1px 5px; border: 1px solid #ccc; background: #fff; display: inline-block; }
.wzui-specbar li i { position: absolute; width: 10px; height: 10px; font-size: 0; line-height: 0; right: 2px; bottom: 2px; background: url(images/item_selected.gif) no-repeat right bottom; z-index: 99; display: none; }
.wzui-specbar li a:hover,
.wzui-specbar li.selected a { border: 2px solid #e4393c; padding: 0 4px; text-decoration: none; }
.wzui-specbar li.selected i { display: block; }

/*上传*/
.wzui-file { position: relative; display: block; overflow: hidden; text-decoration: none; text-indent: 0; line-height: 30px; }
.wzui-file input[type=file] { position: absolute; right: 0; top: 0; opacity: 0; width: 100%; height: 100%; }

/*固定区域*/
.wzui-fixed-placeholder { height: 45px; }
.wzui-fixed { position: fixed; top: 0; width: 100%; max-width: 640px; overflow: hidden; background-color: #ffffff; z-index: 10; }
.wzui-fixed-bottom { bottom: 0; top: auto; }

/*布局*/
.wzui-nav { height: 44px; line-height: 44px; padding: 0 10px; position: relative; background: #25A5F7; }
.wzui-nav a { color: white; padding: 6px 8px; background-color: #007acc; border-radius: 4px; }
.wzui-nav-l, .wzui-nav-m, .wzui-nav-r { line-height: 44px; color: white; }
.wzui-nav-l { float: left; }
.wzui-nav-m { overflow: hidden; text-align: center; font-weight: bold; }
.wzui-nav-r { float: right; }

.wzui-menu { background-color: #f7f7f7; height: 44px; padding: 0 10px; border-width: 0; border-style: solid; border-color: #e6e6e6; border-top-width: 1px; }
.wzui-menu-l, .wzui-menu-r, .wzui-menu-m { height: 36px; line-height: 36px; margin: 4px 0; text-align: center; }
.wzui-menu-m { overflow: hidden; }
.wzui-menu-l { width: 60%; float: left; }
.wzui-menu-r { width: 40%; float: right; }
